| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::sfm::libmv_CameraIntrinsicsOptions Class Reference
Structure From Motion » Simple Pipeline

Data structure describing the camera model and its parameters. More...

`#include "simple_pipeline.hpp"`

## Public Member Functions
| libmv_CameraIntrinsicsOptions (const int _distortion_model=0, const double _focal_length=0, const double _principal_point_x=0, const double _principal_point_y=0, const double _polynomial_k1=0, const double _polynomial_k2=0, const double _polynomial_k3=0, const double _polynomial_p1=0, const double _polynomial_p2=0)

## Public Attributes
int | distortion_model
double | division_k1
double | division_k2
double | focal_length
int | image_height
int | image_width
double | polynomial_k1
double | polynomial_k2
double | polynomial_k3
double | polynomial_p1
double | polynomial_p2
double | principal_point_x
double | principal_point_y

## Detailed Description

Data structure describing the camera model and its parameters.

Parameters

  _distortion_model | Type of camera model.
  _focal_length | focal length of the camera (in pixels).
  _principal_point_x | principal point of the camera in the x direction (in pixels).
  _principal_point_y | principal point of the camera in the y direction (in pixels).
  _polynomial_k1 | radial distortion parameter.
  _polynomial_k2 | radial distortion parameter.
  _polynomial_k3 | radial distortion parameter.
  _polynomial_p1 | radial distortion parameter.
  _polynomial_p2 | radial distortion parameter.

Is assumed that modern cameras have their principal point in the image center.
In case that the camera model was SFM_DISTORTION_MODEL_DIVISION, it's only needed to provide _polynomial_k1 and _polynomial_k2 which will be assigned as division distortion parameters.

## Constructor & Destructor Documentation

## § libmv_CameraIntrinsicsOptions()

cv::sfm::libmv_CameraIntrinsicsOptions::libmv_CameraIntrinsicsOptions | ( | const int | _distortion_model = `0`,
|  | const double | _focal_length = `0`,
|  | const double | _principal_point_x = `0`,
|  | const double | _principal_point_y = `0`,
|  | const double | _polynomial_k1 = `0`,
|  | const double | _polynomial_k2 = `0`,
|  | const double | _polynomial_k3 = `0`,
|  | const double | _polynomial_p1 = `0`,
|  | const double | _polynomial_p2 = `0`
| ) |  |
| inline

## Member Data Documentation

## § distortion_model

int cv::sfm::libmv_CameraIntrinsicsOptions::distortion_model

## § division_k1

double cv::sfm::libmv_CameraIntrinsicsOptions::division_k1

## § division_k2

double cv::sfm::libmv_CameraIntrinsicsOptions::division_k2

## § focal_length

double cv::sfm::libmv_CameraIntrinsicsOptions::focal_length

## § image_height

int cv::sfm::libmv_CameraIntrinsicsOptions::image_height

## § image_width

int cv::sfm::libmv_CameraIntrinsicsOptions::image_width

## § polynomial_k1

double cv::sfm::libmv_CameraIntrinsicsOptions::polynomial_k1

## § polynomial_k2

double cv::sfm::libmv_CameraIntrinsicsOptions::polynomial_k2

## § polynomial_k3

double cv::sfm::libmv_CameraIntrinsicsOptions::polynomial_k3

## § polynomial_p1

double cv::sfm::libmv_CameraIntrinsicsOptions::polynomial_p1

## § polynomial_p2

double cv::sfm::libmv_CameraIntrinsicsOptions::polynomial_p2

## § principal_point_x

double cv::sfm::libmv_CameraIntrinsicsOptions::principal_point_x

## § principal_point_y

double cv::sfm::libmv_CameraIntrinsicsOptions::principal_point_y

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/sfm/include/opencv2/sfm/simple_pipeline.hpp